clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::ConfigOptionsProvider Class Reference

Implementation of ClangTidyOptions interface, which is used for '-config' command-line option. More...

`#include <ClangTidyOptions.h>`

Inheritance diagram for clang::tidy::ConfigOptionsProvider:
[legend]
Collaboration diagram for clang::tidy::ConfigOptionsProvider:
[legend]

## Public Member Functions
| ConfigOptionsProvider (const ClangTidyGlobalOptions &GlobalOptions, const ClangTidyOptions &DefaultOptions, const ClangTidyOptions &ConfigOptions, const ClangTidyOptions &OverrideOptions)
std::vector< OptionsSource > | getRawOptions (llvm::StringRef FileName) override
| Returns an ordered vector of OptionsSources, in order of increasing priority. More...
Public Member Functions inherited from clang::tidy::DefaultOptionsProvider
| DefaultOptionsProvider (const ClangTidyGlobalOptions &GlobalOptions, const ClangTidyOptions &Options)
const ClangTidyGlobalOptions & | getGlobalOptions () override
| Returns global options, which are independent of the file. More...
Public Member Functions inherited from clang::tidy::ClangTidyOptionsProvider
virtual | ~ClangTidyOptionsProvider ()
ClangTidyOptions | getOptions (llvm::StringRef FileName)
| Returns options applying to a specific translation unit with the specified `FileName`. More...

## Additional Inherited Members
Public Types inherited from clang::tidy::ClangTidyOptionsProvider
typedef std::pair< ClangTidyOptions, std::string > | OptionsSource
| ClangTidyOptions and its source. More...
Static Public Attributes inherited from clang::tidy::ClangTidyOptionsProvider
static const char | OptionsSourceTypeDefaultBinary []
static const char | OptionsSourceTypeCheckCommandLineOption []
static const char | OptionsSourceTypeConfigCommandLineOption []

## Detailed Description

Implementation of ClangTidyOptions interface, which is used for '-config' command-line option.

Definition at line 164 of file ClangTidyOptions.h.

## Constructor & Destructor Documentation

## ◆ ConfigOptionsProvider()

clang::tidy::ConfigOptionsProvider::ConfigOptionsProvider | ( | const ClangTidyGlobalOptions & | GlobalOptions,
|  | const ClangTidyOptions & | DefaultOptions,
|  | const ClangTidyOptions & | ConfigOptions,
|  | const ClangTidyOptions & | OverrideOptions
| ) |  |

Definition at line 185 of file ClangTidyOptions.cpp.

## Member Function Documentation

## ◆ getRawOptions()

std::vector< OptionsSource > clang::tidy::ConfigOptionsProvider::getRawOptions | ( | llvm::StringRef | FileName | ) |
| override virtual

Returns an ordered vector of OptionsSources, in order of increasing priority.

Reimplemented from clang::tidy::DefaultOptionsProvider.

Definition at line 194 of file ClangTidyOptions.cpp.

References clang::tidy::DefaultOptionsProvider::getRawOptions(), clang::tidy::ClangTidyOptionsProvider::OptionsSourceTypeCheckCommandLineOption, and clang::tidy::ClangTidyOptionsProvider::OptionsSourceTypeConfigCommandLineOption.

The documentation for this class was generated from the following files:

- ClangTidyOptions.h
- ClangTidyOptions.cpp